#!/bin/sh
export ENV_NAME="env"
export NODE_PATH="https://nodejs.org/dist/v10.16.3/node-v10.16.3-linux-x64.tar.xz"
#install pip3
test -z "$(dpkg -l | egrep "python3-dev")" && sudo apt-get install python3-dev 
test -z "$(dpkg -l | egrep "python3-pip")" && sudo apt-get install python3-pip
#install virtualenv
python3 -m pip install --user virtualenv

#create virtualenv called stacksdkenv
if [ ! -e ./${ENV_NAME} ] ; then
  python3 -m virtualenv ${ENV_NAME}
fi

#get nodejs
if [ ! -e ./${ENV_NAME}/nodejs ] ; then
  mkdir -p ./${ENV_NAME}/nodejs
  curdir="$(pwd)"
  cd /tmp
  wget ${NODE_PATH} -O node.tar.gz 2>/dev/null
  tar -xvJf node.tar.gz
  mv node-v*linux-x64/* ${curdir}/${ENV_NAME}/nodejs
  ln -s ../nodejs/bin/node ${curdir}/${ENV_NAME}/bin/node
  ln -s ../nodejs/bin/npm ${curdir}/${ENV_NAME}/bin/npm
  ln -s ../nodejs/bin/npx ${curdir}/${ENV_NAME}/bin/npx
  cd $curdir
  ${curdir}/${ENV_NAME}/bin/npm init
fi

#activate env
. ./${ENV_NAME}/bin/activate

echo [+] confirm env:
if [ -z "$(which python3|grep ${ENV_NAME})" ]; then
  echo [!] env setup failed!
  exit 1
fi

npm i --save asciidoctor-reveal.js

echo [+] install complete. 
