# Introduction

* Introduce speakers: hello and welcome to this video series designed to help prepare middle and high school students prepare for the CERTS Capture the Flag competition to be held in January of 2020. 

* Please note that the slides you see on your screen are available at the URL shown.

* The series is broken into several individual episodes on topics such as, but not limited to: this episode, the practice CTF...

* Topics for this video include:
  * ethical hacking disclaimer
  * virtual machine download and configuration
  * introduction to the practice CTF server to help students prepare
  * linux command line introduction
  * network forensics, to include wireshark and networkminer introduction
  * disk forensics
  * using ollydbg for windows debugging
  * using gdb for linux debugging
  * using developer tools in a web browser to observe and manipulate HTTP traffic
  * using the GCHQ "Cyber Chef" tool to investigate data encodings
  * basic introduction to cryptography
  * basic introduction to Stegonagraphy
  * techniques for problem solving 

# Ethical disclaimer

* The techniques and tools taught in this video series are designed to aid in Capture the Flag competitions, to teach problem solving, and to increase defensive awareness.

* only ever use these tools on devices you have explicit permission for. We learn offensive techniques to be better defenders or work for the government -- not to end up in jail.
 

# Virtual Machine Configuration

A virtual machine is an isolated operating system running on top of your main computer operating system. 

Two VMs have been built for you to assist in the competition. They are packaged in an OVA format and can be used with Virtualbox, VMware, and KVM hypervisors.

We will be using Virtualbox for this walkthrough, but if you are familiar with other programs you are free to use them. 

1. First, download virtualbox. This is a free virtualization hypervisor created by Oracle that can be run on any OS (Windows, Mac, or Linux). You can download virtualbox here: https://www.virtualbox.org/wiki/Downloads

For this class we will be using the 32bit Kali VM. More advanced students who understand the difference between 32 and 64 bit can use the 64 bit VM. However, be aware that in the CERTS CTF, the CTF organizers are designing their challenges to be used on the 32 bit VM. 

2. Navigate to https://certs-ctf.cyber.mil.dev/vms and download the VM titled "kali_32bit_virtualbox_image.ova.zip" 

You can also download the 64bit image if you would like. 

3. Unzip the file.

4. Open the .ova file with virtualbox. It will take some time to extract. 

5. Start the virtual machine 

6. Test copy/pasting in the virtual machine and full screen view.

# introduction to the practice CTF server

Navigate to https://certs-ctf.cyber.mil.dev/

Register an account. Your email doesn't matter in this case...I recommend you do not use your real name for privacy concerns. Do not use a password you use anywhere else. 

This is not the official CERTS ctf server. This is a practice server to help you prepare for the CERTS ctf. 

# linux command line introduction

* parsing and searching cleartext logs
* changing directories
* file
* ls
* cd
* find
* pipes
* unzip

Challenge 1:

download file, run given command on it

Challenge 2:

modify command to find something different

Challenge 3:

no command given, different file

Challenge 4:

determine what type of file type a given file is

Challenge 5: 

what is the first line of the /etc/passwd file?

Challenge 7: 

strings a binary that won't execute and find the flag

Challenge 8:

download a simple executable and run it to get flag


# Linux Command Line Part 2

* Discuss stdin, stdout, stderr
* Discuss redirection for pipes
* Discuss editing files via nano and briefly, vim
* awk/sed 
* 



# network forensics, to include wireshark and networkminer introduction

Network Forensics is the monitoring and analysis of computer network traffic for the purposes of information gathering, legal evidence, or intrusion detection.

It is essential to identify the reason (question) and method (wireshark search) before beginning because network traffic can consist of petabytes of data. There are several question we can answer from within this capture to gather relavent information.

Wireshark is a graphical user interface (GUI) tool to view and analyze network traffic from packet captures.

1. Download the packet capture from http://forensicscontest.com/contest01/evidence01.pcap

2. Open wireshark from either menu bar or command line

3. Select File > Open > then navigate to where you saved the pcap; open the file

NetworkMiner is a GUI to carve out files and details from a network capture.

1. Open NetworkMiner (NetworkMiner_2-5/NetworkMiner.exe)

2. Select File > Open > then navigate to where you saved the pcap; open the file

Let's try to answer some questions about the capture

    1. What is the name of Ann’s IM buddy?
    2. What was the first comment in the captured IM conversation?
    3. What is the name of the file Ann transferred?
    4. What is the magic number of the file you want to extract (first four bytes)?
    5. What was the MD5sum of the file?
    6. What is the secret recipe?

As you can see, each of the tools has differing strengths and weaknesses that you can use to search for data from within a capture file. You can also use both to do a live capture off of an interface for real-time information.

# disk forensics

Disk forensics is the copying and analysis of storage contents from a system, typically including images of hard drives and memory captures. 

1. Download a hard disk drive image from http://downloads.digitalcorpora.org/corpora/scenarios/2009-m57-patents/drives-redacted/charlie-2009-12-11.E01
2. Download a USB disk drive image from http://downloads.digitalcorpora.org/corpora/scenarios/2009-m57-patents/drives-redacted/charlie-work-usb-2009-12-11.E01

There are two easy to use tools in Kali to perform rapid disk analysis. These are Autopsy and Bulk Extractor. I am going to demonstrate some of the functions for both, and how you can analyze the artifacts previously downloaded. 

1. Demo autopsy loading an image, gathering details about an image, expanding directories, performing a text search, creating a timeline, searching a timeline
2. Demo bulk extractor

As you've seen, there is a LOT of functionality with these tools along with a lot of data to go through. Other tools you may want to become aware of include FTK, which includes capabilities to search registry hives for other potential hidden nuggets within an image, and Volatility, which allows you to search within a memory capture for 'real-time' user data such as passwords and keys.


# using ollydbg for windows debugging

jump over an extremely long loop

call a function that doesn't execute

# using gdb for linux debugging

jump over an exteremely long loop

call a function that doesn't execute


# using developer tools in a web browser to observe and manipulate HTTP traffic

can i use the chipwntle challenges here? 

# using the GCHQ "Cyber Chef" tool to investigate data encodings

some basic data encoding challenges


# basic introduction to cryptography

simple rot13

cryptogram solver


# basic introduction to Stegonagraphy

concatenate files at end of zip

resizing image to smaller than the image size

LSB in an image

google for more ideas

# techniques for problem solving 

using google

online CTF tutorials

good resources provided from parsons